#include "xdobjanimmat.h"

XDObjAnimMat::XDObjAnimMat()
    : XAsset()
    , mQuat()
    , mTrans()
    , mTransWeight(0)
{
    
}

XDObjAnimMat::~XDObjAnimMat()
{
    
}

void XDObjAnimMat::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        *aStream
            >> mQuat[0]
            >> mQuat[1]
            >> mQuat[2]
            >> mQuat[3]
            >> mTrans[0]
            >> mTrans[1]
            >> mTrans[2]
            >> mTransWeight;
    }
}

void XDObjAnimMat::Clear()
{
    mQuat.clear();
    mTrans.clear();
    mTransWeight = 0;
}
